package conf

import (
	"testing"
)

func TestLoad(t *testing.T) {
	f := "conf.json"
	c, err := LoadConf(f)
	if err != nil {
		t.Errorf("failed")
		return
	}
	t.Logf(`conf: namespace<%v> id<%v>, ip<%v>, username<%v>, password<%v>, timeout<%v>, 
	host<%v>, port<%v>, logPath<%v>, 
	rpcAddr<%v> profAddr<%v> aghost<%v>, agport<%v>, level<%v> online<%v>, mode<%v>`,
		c.Namespace,
		c.Id, c.Zoo.Hosts, c.Zoo.Username, c.Zoo.Password, c.Zoo.Timeout,
		c.Host, c.Port, c.LogPath,
		c.RpcAddr, c.ProfAddr, c.AgHost, c.AgPort, c.Level, c.Online,
		c.Mode)
}
